import request from '@/utils/request'

// 查询AI适配场景条件类型列表
export function listAiSceneConditionType(query) {
  return request({
    url: '/sfa/aiSceneConditionType/list',
    method: 'get',
    params: query
  })
}

// 查询AI适配场景条件类型详细
export function getAiSceneConditionType(conditionTypeId) {
  return request({
    url: '/sfa/aiSceneConditionType/' + conditionTypeId,
    method: 'get'
  })
}

// 新增AI适配场景条件类型
export function addAiSceneConditionType(data) {
  return request({
    url: '/sfa/aiSceneConditionType',
    method: 'post',
    data: data
  })
}

// 修改AI适配场景条件类型
export function updateAiSceneConditionType(data) {
  return request({
    url: '/sfa/aiSceneConditionType',
    method: 'put',
    data: data
  })
}

// 删除AI适配场景条件类型
export function delAiSceneConditionType(conditionTypeId) {
  return request({
    url: '/sfa/aiSceneConditionType/' + conditionTypeId,
    method: 'delete'
  })
}
